TagXml (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.tld, class: TagXml

# Class TagXml

java.lang.Object
org.apache.tomcat.util.descriptor.tld.TagXml

public class TagXml extends Object
Model of a tag define in a tag library descriptor. This represents the information as parsed from the XML but differs from TagInfo in that it does not provide a link back to the tag library that defined it.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagXml()`
  Constructs a new TagXml.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TagAttributeInfo>`
  `getAttributes()`
  Returns the list of tag attributes.
  `String`
  `getBodyContent()`
  Returns the body content type.
  `String`
  `getDisplayName()`
  Returns the display name.
  `String`
  `getInfo()`
  Returns the description info.
  `String`
  `getLargeIcon()`
  Returns the large icon path.
  `String`
  `getName()`
  Returns the tag name.
  `String`
  `getSmallIcon()`
  Returns the small icon path.
  `String`
  `getTagClass()`
  Returns the tag handler class.
  `String`
  `getTeiClass()`
  Returns the TagExtraInfo class.
  `List<TagVariableInfo>`
  `getVariables()`
  Returns the list of tag variables.
  `boolean`
  `hasDynamicAttributes()`
  Returns whether the tag accepts dynamic attributes.
  `void`
  `setBodyContent(String bodyContent)`
  Sets the body content type.
  `void`
  `setDisplayName(String displayName)`
  Sets the display name.
  `void`
  `setDynamicAttributes(boolean dynamicAttributes)`
  Sets whether the tag accepts dynamic attributes.
  `void`
  `setInfo(String info)`
  Sets the description info.
  `void`
  `setLargeIcon(String largeIcon)`
  Sets the large icon path.
  `void`
  `setName(String name)`
  Sets the tag name.
  `void`
  `setSmallIcon(String smallIcon)`
  Sets the small icon path.
  `void`
  `setTagClass(String tagClass)`
  Sets the tag handler class.
  `void`
  `setTeiClass(String teiClass)`
  Sets the TagExtraInfo class.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TagXml

    public TagXml()
    Constructs a new TagXml.

- ## Method Details

  - ### getName

    public String getName()
    Returns the tag name.
    Returns:
      the name

  - ### setName

    public void setName(String name)
    Sets the tag name.
    Parameters:
      `name` - the name

  - ### getTagClass

    public String getTagClass()
    Returns the tag handler class.
    Returns:
      the tag class

  - ### setTagClass

    public void setTagClass(String tagClass)
    Sets the tag handler class.
    Parameters:
      `tagClass` - the tag class

  - ### getTeiClass

    public String getTeiClass()
    Returns the TagExtraInfo class.
    Returns:
      the TEI class

  - ### setTeiClass

    public void setTeiClass(String teiClass)
    Sets the TagExtraInfo class.
    Parameters:
      `teiClass` - the TEI class

  - ### getBodyContent

    public String getBodyContent()
    Returns the body content type.
    Returns:
      the body content type

  - ### setBodyContent

    public void setBodyContent(String bodyContent)
    Sets the body content type.
    Parameters:
      `bodyContent` - the body content type

  - ### getDisplayName

    public String getDisplayName()
    Returns the display name.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName(String displayName)
    Sets the display name.
    Parameters:
      `displayName` - the display name

  - ### getSmallIcon

    public String getSmallIcon()
    Returns the small icon path.
    Returns:
      the small icon path

  - ### setSmallIcon

    public void setSmallIcon(String smallIcon)
    Sets the small icon path.
    Parameters:
      `smallIcon` - the small icon path

  - ### getLargeIcon

    public String getLargeIcon()
    Returns the large icon path.
    Returns:
      the large icon path

  - ### setLargeIcon

    public void setLargeIcon(String largeIcon)
    Sets the large icon path.
    Parameters:
      `largeIcon` - the large icon path

  - ### getInfo

    public String getInfo()
    Returns the description info.
    Returns:
      the info

  - ### setInfo

    public void setInfo(String info)
    Sets the description info.
    Parameters:
      `info` - the info

  - ### hasDynamicAttributes

    public boolean hasDynamicAttributes()
    Returns whether the tag accepts dynamic attributes.
    Returns:
      true if dynamic attributes are supported

  - ### setDynamicAttributes

    public void setDynamicAttributes(boolean dynamicAttributes)
    Sets whether the tag accepts dynamic attributes.
    Parameters:
      `dynamicAttributes` - true if dynamic attributes are supported

  - ### getAttributes

    public List<TagAttributeInfo> getAttributes()
    Returns the list of tag attributes.
    Returns:
      the attributes

  - ### getVariables

    public List<TagVariableInfo> getVariables()
    Returns the list of tag variables.
    Returns:
      the variables